FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202110011559.p0.git.1b4c2ef.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202110011559.p0.git.1b4c2ef.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=1b4c2ef OS_GIT_VERSION=4.8.0-202110011559.p0.git.1b4c2ef.assembly.stream-1b4c2ef SOURCE_DATE_EPOCH=1632848536 SOURCE_GIT_COMMIT=1b4c2ef4973b0135e50641038356c96ed886adc1 SOURCE_GIT_TAG=v1.0.0-561-g1b4c2ef4 SOURCE_GIT_URL=https://github.com/openshift/cluster-version-operator 
WORKDIR /go/src/github.com/openshift/cluster-version-operator
COPY . .
RUN hack/build-go.sh; \
    mkdir -p /tmp/build; \
    cp _output/linux/$(go env GOARCH)/cluster-version-operator /tmp/build/cluster-version-operator

FROM openshift/ose-base:v4.8.0.20211001.161120
ENV __doozer=update BUILD_RELEASE=202110011559.p0.git.1b4c2ef.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202110011559.p0.git.1b4c2ef.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=1b4c2ef OS_GIT_VERSION=4.8.0-202110011559.p0.git.1b4c2ef.assembly.stream-1b4c2ef SOURCE_DATE_EPOCH=1632848536 SOURCE_GIT_COMMIT=1b4c2ef4973b0135e50641038356c96ed886adc1 SOURCE_GIT_TAG=v1.0.0-561-g1b4c2ef4 SOURCE_GIT_URL=https://github.com/openshift/cluster-version-operator 
COPY --from=builder /tmp/build/cluster-version-operator /usr/bin/
COPY install /manifests
COPY vendor/github.com/openshift/api/config/v1/0000_00_cluster-version-operator_01_clusterversion.crd.yaml /manifests/
COPY vendor/github.com/openshift/api/config/v1/0000_00_cluster-version-operator_01_clusteroperator.crd.yaml /manifests/
COPY bootstrap /bootstrap
ENTRYPOINT ["/usr/bin/cluster-version-operator"]

LABEL \
        name="openshift/ose-cluster-version-operator" \
        com.redhat.component="cluster-version-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Cluster Version Operator" \
        release="202110011559.p0.git.1b4c2ef.assembly.stream" \
        io.openshift.build.commit.id="1b4c2ef4973b0135e50641038356c96ed886adc1" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-version-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-version-operator/commit/1b4c2ef4973b0135e50641038356c96ed886adc1" \
        version="v4.8.0"

